package de.hft.geotime.user;

import de.hft.geotime.role.Role;
import de.hft.geotime.timetrackaccount.TimetrackAccount;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.*;
import java.util.List;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Entity
public class TimetrackUser {

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private long id;
    @Column(unique = true)
    private String username;
    private String password;        // strip
    private String firstname;
    private String lastname;
    @OneToOne
    private Role role;              // Projection (String)
    @OneToMany
    private List<TimetrackAccount> timetrackAccounts; // Lazy List

}
